#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 11. General Utilities

- Prev

  xdg-dbus-proxy-0.1.6

- Next

  System Utilities

- Up
- Home

# Xdg-user-dirs-0.18

## Introduction to Xdg-user-dirs

Xdg-user-dirs is a tool to help manage “well known” user directories like the desktop folder and the music folder. It also handles localization (i.e. translation) of the filenames.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://user-dirs.freedesktop.org/releases/xdg-user-dirs-0.18.tar.gz

- Download MD5 sum: dc7decea7ffb58cd067eff1fe1798cae

- Download size: 267 KB

- Estimated disk space required: 3.0 MB

- Estimated build time: less than 0.1 SBU

### Xdg-user-dirs Dependencies

#### Optional

docbook-xml-4.5, docbook-xsl-nons-1.79.2, and libxslt-1.1.42 (all three for building the man pages)

## Installation of Xdg-user-dirs

Install xdg-user-dirs by running the following commands:

    ./configure --prefix=/usr           \
                --sysconfdir=/etc       \
                --disable-documentation &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-documentation`: Disable the installation of the man pages. Remove this switch if you've installed the optional dependencies and you wish to install the man pages of this package.

## Configuring Xdg-user-dirs

### Config Files

`~/.config/user-dirs.dirs`, `/etc/xdg/user-dirs.conf`, and `/etc/xdg/user-dirs.defaults`. Those default locations can be overridden by `XDG_CONFIG_HOME` and `XDG_CONFIG_DIRS`

## Contents

Installed Programs: xdg-user-dir and xdg-user-dirs-update
Installed Library: None
Installed Directory: None

### Short Descriptions

xdg-user-dir | looks up the current path for one of the XDG user directories
xdg-user-dirs-update | creates localized versions of the user directories

- Prev

  xdg-dbus-proxy-0.1.6

- Next

  System Utilities

- Up
- Home